{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Liste des offres
{% endblock %}

{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}

{% block main %}
<div class="flex gap-5 w-full h-12 mb-12">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
        <input id="search" oninput="refresh()" type="text" required placeholder="Effectuez votre recherche ici..."
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">
    </div>


    <div class="flex flex-col ml-auto">
        <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
        <div id="orders" class="flex whitespace-nowrap gap-2">
            <button onclick="order(this)" value="1"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Titre</button>
            <button onclick="order(this)" value="2"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Type
                de contrat</button>

            <button onclick="order(this)" value="3"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Date
                de publication</button>
        </div>
    </div>
</div>

<div id="items" class="flex flex-wrap gap-4 justify-center">
    {% if data | length == 0 %}
    <span class="text-italic">Aucune offre n'est encore disponible. Ajoutez-en une.</span>
    {% else %}
    {% for offre in data %}
    <a href="{{ url_for('offre', id = offre.id) }}" class="item h-[350px]">
        <div
            class="shadow rounded-xl px-4 py-3 flex flex-col p-2 max-w-[300px] hover:scale-105 duration-100 {% if offre.is_token %}opacity-30{% endif %} h-full">
            <div class="flex gap-2 ml-auto w-fit">
                {% if offre.offre_type_id == 1 %}
                <div name="2" class="bg-yellow-300 w-fit h-fit rounded-full px-3 py-1 text-sm">
                    Stage</div>
                {% else %}
                <div name="2" class="bg-violet-300 w-fit h-fit rounded-full px-3 py-1 text-sm">
                    Apprentissage</div>
                {% endif %}

                {% if offre.is_token %}
                <div class="bg-red-300 w-fit h-fit rounded-full px-3 py-1 text-sm">
                    Déjà pris</div>
                {% endif %}
            </div>

            <h2 name="1" class="text-lg font-semibold mb-2 text-center pt-1">{{ offre.titre }}</h2>

            <p style="display:-webkit-box;-webkit-line-clamp: 7;-webkit-box-orient: vertical;"
                class="text-sm mb-3 overflow-hidden text-ellipsis">
                {{ offre.description }}
            </p>
            <table class="w-full rounded-lg overflow-hidden border border-collapse mt-auto">
                <tbody>
                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                        <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Entreprise</th>
                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ offre.company.name }}</td>
                    </tr>

                    <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                        <th name="3" class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Date de
                            publication
                        </th>
                        <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ offre.publication_date }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </a>
    {% endfor %}
</div>


<a href="{{ url_for('new_offer') }}"
    class="shadow p-0 w-12 h-12 bg-[var(--blue)] hover:text-[var(--blue)] border border-[var(--blue)] duration-300 rounded-full hover:bg-white mouse focus:outline-none fixed bottom-10 right-10 text-white text-3xl align-center flex justify-center pt-1">
    +
</a>

{% endif %}
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}